The learning platform is not compatible with Internet Explorer as Microsoft is no longer updating their out of date browser. The platform therefore only works on newer browsers and we highly recommend to use any of the ones below:

Chrome

Firefox

Microsoft Edge

Safari

Did this answer your question?